//---------------------------------------------------------------------------
//
// Name:        Ihm_lumiereDlg.cpp
// Author:      Administrateur
// Created:     14/07/2005 10:43:21
//
//---------------------------------------------------------------------------

#include "Ihm_lumiereDlg.h"

// Code manuscrit
// Declaration des bibliotheques
#include <cstdlib>
#include <conio.h>
#include <iostream>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>   
#include <windows.h>

#include <wx/utils.h>

// Declaration des constantes
#define NOMBRE_LAMPES 8 // Nombre de Lampes
#define TEMPS_ATTENTE 10 // Temps d'attente du programme en milliseconde

// Declaration du chemin et du repertoire de fichiers de configuration
#define CHEMIN "C:\\Phil\\programmation\\"
#define FICHIER_CONFIGURATION CHEMIN"lumiere_configuration.txt"

// Declaration des variables globales
//             Fichier imprimante pour le port parallele
FILE *lpt1;
FILE *fp;

//             Allumage demandee de chaque lampe (Couche 3)
int            active_lampe = 0; 
//             Reglage de l'intensite lumineuse globale de toutes les lampes
float          niveau_lumiere        =    1.0;
//             Reglage de l'intensite lumineuse specifique de chaque lampe
float          niveau_lampe[NOMBRE_LAMPES] = { 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0}; 
//             Selection du type d'animation lumineux
int            selection_animation = 2; // 1 : micro, 2 : chenillard, 3 : stroboscope, 4 : autres


// Declaration des variables du programme
int            octet_allumage =0;
int            valeur_chenillard =0;
bool           ancien_chenillard_ihm[NOMBRE_LAMPES]={true, true, true,
                 true, true, true, true, true};
bool           ancien_choix_ihm[4]={false, false, false, true};
int            compteur_chenillard =0;

// Les fonctions et procedures

//     Initialisation par extraction du fichier de configuration
// A FAIRE : DEFINIR UN FICHIER DE CONFIGURATION PAR DEFAUT
// A FAIRE : INITIALISER LES VARIABLES LOCALES AVEC LE FICHIER DE CONFIGURATION
//                    Ouverture du fichier de configuration
void configuration(void)
{
  printf("    Fichier de configuration : %s\n", FICHIER_CONFIGURATION);
  
  if ((fp = fopen (FICHIER_CONFIGURATION,"r")) == NULL) {
    printf("ERREUR : Impossible d'ouvrir le fichier de configuration\n");
  } else {
//    while ( fscanf ( fp, "%s %s", param_codeur[nb_renommage], param_dcom[nb_renommage]) ==2) {
//      printf("");
//      nb_configuration++;
//    }
//                     Fermeture du fichier de configuration
    fclose(fp);
  }
}

//     Couche 1 : Ecriture sur le port parallele a travers
//            le fichier d'imprimante
void ecrire_port_parallele (int aff_cara) {
        fprintf (lpt1, "%c", aff_cara);
    //Sleep(1); //rajout Ludo***********************************************************************    
	fflush (lpt1);
	Sleep(TEMPS_ATTENTE);
}  


//     Couche 2 : Allumage ou non de chaque lampe
//            Par le reglage des niveaux de probabilite
int allumage_lampes() {
    int               octet_port_parallele = 0;
    
    if ( rand() < RAND_MAX*(active_lampe & 1) *niveau_lumiere *niveau_lampe[0])
       octet_port_parallele = octet_port_parallele + 1;  //Allumage de la lampe 1 
    if ( rand() < RAND_MAX*(active_lampe>>1 &1) *niveau_lumiere *niveau_lampe[1])
       octet_port_parallele = octet_port_parallele + 2;  //Allumage de la lampe 2 
    if ( rand() < RAND_MAX*(active_lampe>>2 &1) *niveau_lumiere *niveau_lampe[2])
       octet_port_parallele = octet_port_parallele + 4;  //Allumage de la lampe 3 
    if ( rand() < RAND_MAX*(active_lampe>>3 &1) *niveau_lumiere *niveau_lampe[3])
       octet_port_parallele = octet_port_parallele + 8;  //Allumage de la lampe 4 
    if ( rand() < RAND_MAX*(active_lampe>>4 &1) *niveau_lumiere *niveau_lampe[4])
       octet_port_parallele = octet_port_parallele + 16;  //Allumage de la lampe 5 
    if ( rand() < RAND_MAX*(active_lampe>>5 &1) *niveau_lumiere *niveau_lampe[5])
       octet_port_parallele = octet_port_parallele + 32;  //Allumage de la lampe 6 
    if ( rand() < RAND_MAX*(active_lampe>>6 &1) *niveau_lumiere *niveau_lampe[6])
       octet_port_parallele = octet_port_parallele + 64;  //Allumage de la lampe 7 
    if ( rand() < RAND_MAX*(active_lampe>>7) *niveau_lumiere *niveau_lampe[7])
       octet_port_parallele = octet_port_parallele + 128; //Allumage de la lampe 8 
    return octet_port_parallele;
}

// class constructor
myThread::myThread( wxSlider * slider1, wxSlider * slider2, wxSlider * slider3,
                    wxSlider * slider4, wxSlider * slider5, wxSlider * slider6,
                    wxSlider * slider7, wxSlider * slider8, wxSlider * slider9,
                    wxSlider * slider, wxCheckBox * checkbox1,
                    wxCheckBox * checkbox2, wxCheckBox * checkbox3,
                    wxCheckBox * checkbox4, wxCheckBox * checkbox5,
                    wxCheckBox * checkbox6, wxCheckBox * checkbox7,
                    wxCheckBox * checkbox8,
                    wxRadioButton * radiobutton1, wxRadioButton * radiobutton2,
                    wxRadioButton * radiobutton3, wxRadioButton * radiobutton4,
                    wxRadioButton * radiobutton5, wxRadioButton * radiobutton6,
                    wxRadioButton * radiobutton7, wxRadioButton * radiobutton8,
                    wxRadioButton * radiobutton9, wxRadioButton * radiobutton10,
                    wxRadioButton * radiobutton11, wxRadioButton * radiobutton12
                     )
{
	m_slider1 = slider1;
	m_slider2 = slider2;
	m_slider3 = slider3;
	m_slider4 = slider4;
	m_slider5 = slider5;
	m_slider6 = slider6;
	m_slider7 = slider7;
	m_slider8 = slider8;
	m_slider9 = slider9;
	m_slider = slider;
	cb1      = checkbox1;
	cb2      = checkbox2;
	cb3      = checkbox3;
	cb4      = checkbox4;
	cb5      = checkbox5;
	cb6      = checkbox6;
	cb7      = checkbox7;
	cb8      = checkbox8;
	rb1      = radiobutton1;
	rb2      = radiobutton2;
	rb3      = radiobutton3;
    rb4      = radiobutton4;
	rb5      = radiobutton5;
	rb6      = radiobutton6;
	rb7      = radiobutton7;
    rb8      = radiobutton8;
	rb9      = radiobutton9;
	rb10     = radiobutton10;
	rb11     = radiobutton11;
    rb12     = radiobutton12;
}

// class destructor
myThread::~myThread()
{
	// insert your code here
}

// Corps de la fonction excute dans le thread.
//sorte de main() poru le thread ( point d'entree => entry )
void * myThread::Entry()
{
	while( 1 )
	{
// Scrutation de l'IHM
      if  ( ( cb8->GetValue() != ancien_chenillard_ihm[0] ) 
         || ( cb7->GetValue() != ancien_chenillard_ihm[1] )
         || ( cb6->GetValue() != ancien_chenillard_ihm[2] )
         || ( cb5->GetValue() != ancien_chenillard_ihm[3] )
         || ( cb4->GetValue() != ancien_chenillard_ihm[4] )
         || ( cb3->GetValue() != ancien_chenillard_ihm[5] )
         || ( cb2->GetValue() != ancien_chenillard_ihm[6] )
         || ( cb1->GetValue() != ancien_chenillard_ihm[7] )
         || ( rb1->GetValue() != ancien_choix_ihm[0] )
         || ( rb2->GetValue() != ancien_choix_ihm[1] )
         || ( rb3->GetValue() != ancien_choix_ihm[2] )
         || ( rb4->GetValue() != ancien_choix_ihm[3] )) {
         ancien_chenillard_ihm[0] =cb8->GetValue();
         ancien_chenillard_ihm[1] =cb7->GetValue();
         ancien_chenillard_ihm[2] =cb6->GetValue();
         ancien_chenillard_ihm[3] =cb5->GetValue();
         ancien_chenillard_ihm[4] =cb4->GetValue();
         ancien_chenillard_ihm[5] =cb3->GetValue();
         ancien_chenillard_ihm[6] =cb2->GetValue();
         ancien_chenillard_ihm[7] =cb1->GetValue();
         ancien_choix_ihm[0] =rb1->GetValue();
         ancien_choix_ihm[1] =rb2->GetValue();
         ancien_choix_ihm[2] =rb3->GetValue();
         ancien_choix_ihm[3] =rb4->GetValue();
         if (ancien_chenillard_ihm[0]) {
            valeur_chenillard =1;
         } else {
           valeur_chenillard =0;
         }
         if (ancien_chenillard_ihm[1]) {
            valeur_chenillard =valeur_chenillard +2;
         }
         if (ancien_chenillard_ihm[2]) {
            valeur_chenillard =valeur_chenillard +4;
         }
         if (ancien_chenillard_ihm[3]) {
            valeur_chenillard =valeur_chenillard +8;
         }
         if (ancien_chenillard_ihm[4]) {
            valeur_chenillard =valeur_chenillard +16;
         }
         if (ancien_chenillard_ihm[5]) {
            valeur_chenillard =valeur_chenillard +32;
         }
         if (ancien_chenillard_ihm[6]) {
            valeur_chenillard =valeur_chenillard +64;
         }
         if (ancien_chenillard_ihm[7]) {
            valeur_chenillard =valeur_chenillard +128;
         }
      }
// Fin du la scrutation de l'IHM
//  Selection du l'effet lumineux
        switch (selection_animation) {
        case 1 :    // micro
//            Recuperation du son
//            traitement du son         
        break;
        case 2 :    // Chenillard
          if ( compteur_chenillard == 0) {
             if (rb1->GetValue()) {
             // Chenillard gauche
                valeur_chenillard = (valeur_chenillard&128)/128 
                                     + (valeur_chenillard<<1)%256;
             } else if (rb2->GetValue()) {
             // Chenillard exterieur
                valeur_chenillard = (valeur_chenillard &128)/8
                  + (valeur_chenillard &1)*8 + ((valeur_chenillard 
&112)<<1)
                  + ((valeur_chenillard &14)>>1);
             } else if (rb3->GetValue()) {
             // Chenillard interieur
                 valeur_chenillard = (valeur_chenillard &8)/8
                  + (valeur_chenillard &16)*8 + ((valeur_chenillard 
&7)<<1)
                  + ((valeur_chenillard &224)>>1);

           
             } else if (rb4->GetValue()) {
             // Chenillard droite
                valeur_chenillard = (valeur_chenillard>>1) 
                        + (valeur_chenillard &1) *128;
             } else {
             // Defaut, pas de radiobutton slectionne                
             }
            }
          compteur_chenillard= (compteur_chenillard+1)%(m_slider->GetValue()*m_slider->GetValue()/10+1);
          active_lampe = valeur_chenillard;
          niveau_lampe[0] = (10.0 -m_slider9->GetValue()) /10.0;
          niveau_lampe[1] = (10.0 -m_slider8->GetValue()) /10.0;
          niveau_lampe[2] = (10.0 -m_slider7->GetValue()) /10.0;
          niveau_lampe[3] = (10.0 -m_slider6->GetValue()) /10.0;
          niveau_lampe[4] = (10.0 -m_slider5->GetValue()) /10.0;
          niveau_lampe[5] = (10.0 -m_slider4->GetValue()) /10.0;
          niveau_lampe[6] = (10.0 -m_slider3->GetValue()) /10.0;
          niveau_lampe[7] = (10.0 -m_slider2->GetValue()) /10.0;
          niveau_lumiere = (10.0 -m_slider1->GetValue()) /10.0;
          
// decalage  gauche,  droite, vers l'extrieur, vers l'intrieur
        break;
        case 3 :    //stroboscope
//            Stroboscope
        break;
//            Autres effets
        default :   // mode micro par defaut
          printf("ERREUR : defaut dans la slection de l'animation\n");
//            Recuperation du son
//            traitement du son               
        break;      
      }

//  Couche 2 : Allumage ou non de chaque lampe
      octet_allumage = allumage_lampes();

//  Couche 1 : ecriture sur le port parallele
      rb5->SetValue( octet_allumage &128 );
      rb6->SetValue( octet_allumage &64 );
      rb7->SetValue( octet_allumage &32 );
      rb8->SetValue( octet_allumage &16 );
      rb9->SetValue( octet_allumage &8 );
      rb10->SetValue( octet_allumage &4 );
      rb11->SetValue( octet_allumage &2 );
      rb12->SetValue( octet_allumage &1 );
      ecrire_port_parallele(octet_allumage);

//      Sleep( 20 );                 
    }
// fin de la boucle principale

    return NULL;
}

// fin du code manuscrit (dclarations, fonctions, procdures ... )


//Do not add custom headers.
//wx-dvcpp designer will remove them
////Header Include Start
////Header Include End


//----------------------------------------------------------------------------
// Ihm_lumiereDlg
//----------------------------------------------------------------------------

   //Add Custom Events only in the appropriate Block.
   // Code added in  other places will be removed by wx-dvcpp 
////Event Table Start
BEGIN_EVENT_TABLE(Ihm_lumiereDlg,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Ihm_lumiereDlg::Ihm_lumiereDlgClose)
	EVT_INIT_DIALOG(Ihm_lumiereDlg::Ihm_lumiereDlgInitDialog)
	EVT_ACTIVATE(Ihm_lumiereDlg::Ihm_lumiereDlgActivate)
END_EVENT_TABLE()
////Event Table End

Ihm_lumiereDlg::Ihm_lumiereDlg( wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style )
    : wxDialog( parent, id, title, position, size, style)
{
    CreateGUIControls();
}

Ihm_lumiereDlg::~Ihm_lumiereDlg()
{
} 

void Ihm_lumiereDlg::CreateGUIControls(void)
{
    //Do not add custom Code here
    //wx-devcpp designer will remove them.
    //Add the custom code before or after the Blocks
    ////GUI Items Creation Start

	this->SetSize(8,8,308,315);
	this->SetTitle(_("Ihm_lumiere"));
	this->Center();
	this->SetIcon(wxNullIcon);
	

	WxRadioButton8 =  new wxRadioButton(this, ID_WXRADIOBUTTON8 ,_("WxRadioButton8") ,wxPoint(271,0),wxSize(17,17)  , wxRB_GROUP);

	WxRadioButton7 =  new wxRadioButton(this, ID_WXRADIOBUTTON7 ,_("WxRadioButton7") ,wxPoint(251,0),wxSize(17,17)  , wxRB_GROUP);

	WxRadioButton6 =  new wxRadioButton(this, ID_WXRADIOBUTTON6 ,_("WxRadioButton6") ,wxPoint(224,0),wxSize(17,17)  , wxRB_GROUP);

	WxRadioButton5 =  new wxRadioButton(this, ID_WXRADIOBUTTON5 ,_("WxRadioButton5") ,wxPoint(200,0),wxSize(17,17)  , wxRB_GROUP);

	WxRadioButton4 =  new wxRadioButton(this, ID_WXRADIOBUTTON4 ,_("WxRadioButton4") ,wxPoint(178,0),wxSize(17,17)  , wxRB_GROUP);

	WxRadioButton3 =  new wxRadioButton(this, ID_WXRADIOBUTTON3 ,_("WxRadioButton3") ,wxPoint(153,0),wxSize(17,17)  , wxRB_GROUP);

	WxRadioButton2 =  new wxRadioButton(this, ID_WXRADIOBUTTON2 ,_("WxRadioButton2") ,wxPoint(128,0),wxSize(17,17)  , wxRB_GROUP);

	WxRadioButton1 =  new wxRadioButton(this, ID_WXRADIOBUTTON1 ,_("WxRadioButton1") ,wxPoint(100,0),wxSize(17,17)  , wxRB_GROUP);

	Droite =  new wxRadioButton(this, ID_DROITE ,_("Droite") ,wxPoint(235,185),wxSize(50,17)  , wxRB_GROUP);

	Int =  new wxRadioButton(this, ID_INT ,_("Int") ,wxPoint(200,185),wxSize(35,17) );

	Ext =  new wxRadioButton(this, ID_EXT ,_("Ext") ,wxPoint(150,186),wxSize(37,17) );

	Gauche =  new wxRadioButton(this, ID_GAUCHE ,_("Gauche") ,wxPoint(100,185),wxSize(42,17) );

	Son =  new wxRadioButton(this, ID_SON ,_("Son") ,wxPoint(40,220),wxSize(46,17)  , wxRB_GROUP);

	WxCheckBox8 =  new wxCheckBox(this, ID_WXCHECKBOX8, _("WxCheckBox8") , wxPoint(268,163),wxSize(14,13) );

	WxCheckBox7 =  new wxCheckBox(this, ID_WXCHECKBOX7, _("WxCheckBox7") , wxPoint(241,163),wxSize(14,13) );

	WxCheckBox6 =  new wxCheckBox(this, ID_WXCHECKBOX6, _("WxCheckBox6") , wxPoint(216,163),wxSize(14,13) );

	WxCheckBox5 =  new wxCheckBox(this, ID_WXCHECKBOX5, _("WxCheckBox5") , wxPoint(195,163),wxSize(14,13) );

	WxCheckBox4 =  new wxCheckBox(this, ID_WXCHECKBOX4, _("WxCheckBox4") , wxPoint(171,163),wxSize(13,13) );

	WxCheckBox3 =  new wxCheckBox(this, ID_WXCHECKBOX3, _("WxCheckBox3") , wxPoint(146,163),wxSize(14,13) );

	WxCheckBox2 =  new wxCheckBox(this, ID_WXCHECKBOX2, _("WxCheckBox2") , wxPoint(122,163),wxSize(14,13) );

	Reset =  new wxCheckBox(this, ID_RESET, _("Reset") , wxPoint(37,259),wxSize(48,14) );

	WxCheckBox1 =  new wxCheckBox(this, ID_WXCHECKBOX1, _("WxCheckBox1") , wxPoint(96,163),wxSize(13,13) );

	WxSlider19 =  new wxSlider(this, ID_WXSLIDER19,0,0,10,wxPoint(268,203),wxSize(25,81)  , wxSL_VERTICAL);
	WxSlider19->SetRange(0,10);
	WxSlider19->SetValue(0);

	WxSlider18 =  new wxSlider(this, ID_WXSLIDER18,0,0,10,wxPoint(244,203),wxSize(24,81)  , wxSL_VERTICAL);
	WxSlider18->SetRange(0,10);
	WxSlider18->SetValue(0);

	WxSlider17 =  new wxSlider(this, ID_WXSLIDER17,0,0,10,wxPoint(216,203),wxSize(25,81)  , wxSL_VERTICAL);
	WxSlider17->SetRange(0,10);
	WxSlider17->SetValue(0);

	WxSlider16 =  new wxSlider(this, ID_WXSLIDER16,0,0,10,wxPoint(195,203),wxSize(24,81)  , wxSL_VERTICAL);
	WxSlider16->SetRange(0,10);
	WxSlider16->SetValue(0);

	WxSlider15 =  new wxSlider(this, ID_WXSLIDER15,0,0,10,wxPoint(170,202),wxSize(24,81)  , wxSL_VERTICAL);
	WxSlider15->SetRange(0,10);
	WxSlider15->SetValue(0);

	WxSlider14 =  new wxSlider(this, ID_WXSLIDER14,0,0,10,wxPoint(146,203),wxSize(25,81)  , wxSL_VERTICAL);
	WxSlider14->SetRange(0,10);
	WxSlider14->SetValue(0);

	WxSlider13 =  new wxSlider(this, ID_WXSLIDER13,0,0,10,wxPoint(122,202),wxSize(24,81)  , wxSL_VERTICAL);
	WxSlider13->SetRange(0,10);
	WxSlider13->SetValue(0);

	WxSlider12 =  new wxSlider(this, ID_WXSLIDER12,0,0,10,wxPoint(98,203),wxSize(24,81)  , wxSL_VERTICAL);
	WxSlider12->SetRange(0,10);
	WxSlider12->SetValue(0);

	WxSlider11 =  new wxSlider(this, ID_WXSLIDER11,0,0,10,wxPoint(4,203),wxSize(24,81)  , wxSL_VERTICAL);
	WxSlider11->SetRange(0,10);
	WxSlider11->SetValue(0);

	Stroboscope =  new wxRadioButton(this, ID_STROBOSCOPE ,_("Stroboscope") ,wxPoint(7,187),wxSize(81,14) );

	Chenillard =  new wxRadioButton(this, ID_CHENILLARD ,_("Chenillard") ,wxPoint(8,163),wxSize(72,13) );

	WxStaticText2 =  new wxStaticText(this, ID_WXSTATICTEXT2 ,_("Vitesse") ,wxPoint(33,130),wxSize(38,17)  );

	WxSlider10 =  new wxSlider(this, ID_WXSLIDER10,0,0,100,wxPoint(95,136),wxSize(190,25)  , wxSL_HORIZONTAL);
	WxSlider10->SetRange(0,100);
	WxSlider10->SetValue(0);

	WxSlider9 =  new wxSlider(this, ID_WXSLIDER9,0,0,10,wxPoint(268,16),wxSize(25,122)  , wxSL_VERTICAL);
	WxSlider9->SetRange(0,10);
	WxSlider9->SetValue(0);

	WxSlider8 =  new wxSlider(this, ID_WXSLIDER8,0,0,10,wxPoint(246,16),wxSize(24,122)  , wxSL_VERTICAL);
	WxSlider8->SetRange(0,10);
	WxSlider8->SetValue(0);

	WxSlider7 =  new wxSlider(this, ID_WXSLIDER7,0,0,10,wxPoint(219,16),wxSize(25,122)  , wxSL_VERTICAL);
	WxSlider7->SetRange(0,10);
	WxSlider7->SetValue(0);

	WxSlider6 =  new wxSlider(this, ID_WXSLIDER6,0,0,10,wxPoint(195,16),wxSize(24,122)  , wxSL_VERTICAL);
	WxSlider6->SetRange(0,10);
	WxSlider6->SetValue(0);

	WxSlider5 =  new wxSlider(this, ID_WXSLIDER5,0,0,10,wxPoint(171,16),wxSize(24,122)  , wxSL_VERTICAL);
	WxSlider5->SetRange(0,10);
	WxSlider5->SetValue(0);

	WxSlider4 =  new wxSlider(this, ID_WXSLIDER4,0,0,10,wxPoint(145,16),wxSize(25,122)  , wxSL_VERTICAL);
	WxSlider4->SetRange(0,10);
	WxSlider4->SetValue(0);

	WxSlider3 =  new wxSlider(this, ID_WXSLIDER3,0,0,10,wxPoint(122,16),wxSize(24,122)  , wxSL_VERTICAL);
	WxSlider3->SetRange(0,10);
	WxSlider3->SetValue(0);

	WxSlider2 =  new wxSlider(this, ID_WXSLIDER2,0,0,10,wxPoint(97,16),wxSize(24,122)  , wxSL_VERTICAL);
	WxSlider2->SetRange(0,10);
	WxSlider2->SetValue(0);

	WxStaticText1 =  new wxStaticText(this, ID_WXSTATICTEXT1 ,_("Lumire") ,wxPoint(39,50),wxSize(41,17)  );

	WxSlider1 =  new wxSlider(this, ID_WXSLIDER1,0,0,10,wxPoint(5,0),wxSize(24,122)  , wxSL_VERTICAL);
	WxSlider1->SetRange(0,10);
	WxSlider1->SetValue(0);
    ////GUI Items Creation End
}

void Ihm_lumiereDlg::Ihm_lumiereDlgClose(wxCloseEvent& event)
{
    // --> Don't use Close with a wxDialog,
    // use Destroy instead.
    
    // Insertion code manuscrit

    //  Couche 1 : fermeture du port parallele         
    ecrire_port_parallele(0);
    fclose(lpt1);
    
    // Fin de l'insertion du code manuscrit
    
    Destroy();
}

/*
 * Ihm_lumiereDlgActivate
 */

void Ihm_lumiereDlg::Ihm_lumiereDlgActivate(wxActivateEvent& event)
{
	// insert your code here
	// insertion du code manuscrit
        
	myThread * tacheSpots = new myThread( WxSlider1, WxSlider2, WxSlider3, 
             WxSlider4, WxSlider5, WxSlider6, WxSlider7, WxSlider8, WxSlider9, 
             WxSlider10, WxCheckBox1, WxCheckBox2, WxCheckBox3, WxCheckBox4, 
             WxCheckBox5, WxCheckBox6, WxCheckBox7, WxCheckBox8,
             Gauche, Ext, Int, Droite, WxRadioButton1, WxRadioButton2,
             WxRadioButton3, WxRadioButton4, WxRadioButton5, WxRadioButton6,
             WxRadioButton7, WxRadioButton8 );
    tacheSpots->Create( 0 );
	tacheSpots->Run( );
    
 
	// fin d'insertion du code manuscrit
	event.Skip();
}

/*
 * Ihm_lumiereDlgInitDialog
 */
 
void Ihm_lumiereDlg::Ihm_lumiereDlgInitDialog(wxInitDialogEvent& event)
{
	// insert your code here
	// insertion du code manuscrit

    //  Couche 1 : Ouverture du port parallele
    printf("    Ouverture du fichier lpt1 : port parallele\n");
    if ((lpt1 = fopen( "LPT1", "w" ))==NULL) {
       printf("ERREUR : Impossible d'ouvrir le fichier imprimante lpt1 pour le port parallele\n");
    }

    //  Initialisation par extraction du fichier de configuration
    active_lampe = 0;
    selection_animation = 2;
 
    WxCheckBox1->SetValue( true );
    valeur_chenillard=128;
 
	// fin de l'insertion du code manuscrit
	
	event.Skip();
}

/*
 * WxCheckBox1Click
 */
void Ihm_lumiereDlg::WxCheckBox1Click(wxCommandEvent& event)
{
	// insert your code here

	event.Skip();
}

/*
 * WxCheckBox1Click1
 */
void Ihm_lumiereDlg::WxCheckBox1Click1(wxCommandEvent& event)
{
	// insert your code here

	event.Skip();
}
